onEvent('recipes', event => {

    const id_prefix = 'primutils:kubejs/stirring';

    const recipes = [
        {
            inputs: ['create:wheat_flour','create:wheat_flour','mekanism:salt'],
            input_fluid: {name: 'minecraft:water', amount: 250},
            output: ['create:dough'],
            stirAmounts: 3,
            id: 'dough'
        },
        {
            inputs: ['kubejs:paste','minecraft:sand','minecraft:gravel'],
            input_fluid: {name: 'minecraft:water', amount: 1000},
            output: ['2x tconstruct:grout'],
            stirAmounts: 2,
            id: 'grout'
        }
    ];

    recipes.forEach(recipe => {
        recipe.type = 'primutils:stirring';
        recipe.inputs = recipe.inputs.map((input) => Item.of(input).toJson());
        recipe.output = recipe.output.map((out) => Item.of(out).toResultJson());
        event.custom(recipe).id(`${id_prefix}/${recipe.id}`);
    })

})